/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;


insert into [main].[setting] values(77, 'Billion mode ball saver length', null, '0,20', 1, 's', null, '10', '10');

-- Changes setting 42 (MB3 heart rate drop time) to compatible values of the final implementation.
UPDATE
  [main].[setting]
SET
  [options] = '5,16',
  [default] = '8',
  [value] = '8'
WHERE
  [id] = 42;


/* Drop table [main].[menuitem] */
drop table if exists [main].[menuitem];

/* Table structure [main].[menuitem] */
CREATE TABLE [main].[menuitem] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [title] VARCHAR NOT NULL,
  [type] VARCHAR,
  [data] VARCHAR,
  [order] INTEGER,
  [level] INTEGER);

/* Data [main].[menuitem] */
insert into [main].[menuitem] values(1, 'Main menu', '', '', 0, 0);
insert into [main].[menuitem] values(2, 'Test Menu', '', '', 1, 1);
insert into [main].[menuitem] values(3, 'Switch Test', 'MenuItem_Test_Switch', '', 2, 2);
insert into [main].[menuitem] values(4, 'Coil Test', '', '', 3, 2);
insert into [main].[menuitem] values(5, 'Ball Release', 'MenuItem_Test_Solenoid', 'ballRelease', 4, 3);
insert into [main].[menuitem] values(6, 'Lock Post', 'MenuItem_Test_Solenoid', 'lockPost', 5, 3);
insert into [main].[menuitem] values(7, 'Outhole', 'MenuItem_Test_Solenoid', 'outhole', 6, 3);
insert into [main].[menuitem] values(8, 'Scoop', 'MenuItem_Test_Solenoid', 'scoop', 7, 3);
insert into [main].[menuitem] values(9, 'Skillshot Kicker', 'MenuItem_Test_Solenoid', 'skillshotKicker', 8, 3);
insert into [main].[menuitem] values(10, 'Mini Playfield Gate', 'MenuItem_Test_Solenoid', 'miniGate', 9, 3);
insert into [main].[menuitem] values(11, 'Head Mouth', 'MenuItem_Test_Solenoid', 'headMouth', 10, 3);
insert into [main].[menuitem] values(12, 'Head Left Eye', 'MenuItem_Test_Solenoid', 'headLeftEye', 11, 3);
insert into [main].[menuitem] values(13, 'Head Right Eye', 'MenuItem_Test_Solenoid', 'headRightEye', 12, 3);
insert into [main].[menuitem] values(14, 'Jet Left', 'MenuItem_Test_Solenoid', 'jetL', 13, 3);
insert into [main].[menuitem] values(15, 'Jet Right', 'MenuItem_Test_Solenoid', 'jetR', 14, 3);
insert into [main].[menuitem] values(16, 'Jet Bottom', 'MenuItem_Test_Solenoid', 'jetB', 15, 3);
insert into [main].[menuitem] values(17, 'Jets Slingshot', 'MenuItem_Test_Solenoid', 'jetsSling', 16, 3);
insert into [main].[menuitem] values(18, 'Slingshot Left', 'MenuItem_Test_Solenoid', 'slingL', 17, 3);
insert into [main].[menuitem] values(19, 'Slingshot Right', 'MenuItem_Test_Solenoid', 'slingR', 18, 3);
insert into [main].[menuitem] values(20, 'Knocker', 'MenuItem_Test_Solenoid', 'knocker', 19, 3);
insert into [main].[menuitem] values(21, 'Adjustment Menu', '', '', 20, 1);
insert into [main].[menuitem] values(22, 'Rules', '', '', 21, 2);
insert into [main].[menuitem] values(23, 'Balls per game', 'MenuItem_Setting', '1', 22, 3);
insert into [main].[menuitem] values(24, 'Ball saver', '', '', 23, 3);
insert into [main].[menuitem] values(25, 'First ball saver', 'MenuItem_Setting', '4', 24, 4);
insert into [main].[menuitem] values(26, 'Later ball savers', 'MenuItem_Setting', '20', 25, 4);
insert into [main].[menuitem] values(27, 'Tilt', '', '', 26, 3);
insert into [main].[menuitem] values(28, 'Tilt warnings', 'MenuItem_Setting', '2', 27, 4);
insert into [main].[menuitem] values(29, 'Tilt warning gap', 'MenuItem_Setting', '3', 28, 4);
insert into [main].[menuitem] values(30, 'Multiball', '', '', 29, 3);
insert into [main].[menuitem] values(31, 'MB1 Jackpots required', 'MenuItem_Setting', '41', 30, 4);
insert into [main].[menuitem] values(32, 'Power Charge time', 'MenuItem_Setting', '8', 31, 4);
insert into [main].[menuitem] values(33, 'Heart rate drop time', 'MenuItem_Setting', '42', 32, 4);
insert into [main].[menuitem] values(34, 'Videomode', '', '', 33, 3);
insert into [main].[menuitem] values(35, 'Videomode enabled', 'MenuItem_Setting', '49', 34, 4);
insert into [main].[menuitem] values(36, 'PIN*BOT letters pre-lit', 'MenuItem_Setting', '50', 35, 4);
insert into [main].[menuitem] values(37, 'Wheel', '', '', 36, 3);
insert into [main].[menuitem] values(38, 'Small wheel', '', '', 37, 4);
insert into [main].[menuitem] values(39, '50K mode time', 'MenuItem_Setting', '11', 38, 5);
insert into [main].[menuitem] values(40, '100K mode time', 'MenuItem_Setting', '12', 39, 5);
insert into [main].[menuitem] values(41, '250K mode time', 'MenuItem_Setting', '13', 40, 5);
insert into [main].[menuitem] values(42, 'EB mode', '', '', 41, 5);
insert into [main].[menuitem] values(43, 'EB mode time', 'MenuItem_Setting', '14', 42, 6);
insert into [main].[menuitem] values(44, 'Lanes can unlite', 'MenuItem_Setting', '46', 43, 6);
insert into [main].[menuitem] values(45, 'Lite EB mode time', 'MenuItem_Setting', '15', 44, 5);
insert into [main].[menuitem] values(46, 'Lite JP mode time', 'MenuItem_Setting', '16', 45, 5);
insert into [main].[menuitem] values(47, 'Big wheel', '', '', 46, 4);
insert into [main].[menuitem] values(48, 'Billion mode', '', '', 47, 5);
insert into [main].[menuitem] values(49, 'Billion mode time', 'MenuItem_Setting', '70', 48, 6);
insert into [main].[menuitem] values(50, 'Time added per shot', 'MenuItem_Setting', '76', 49, 6);
insert into [main].[menuitem] values(51, 'Ball saver time', 'MenuItem_Setting', '77', 50, 6);
insert into [main].[menuitem] values(52, '10M mode time', 'MenuItem_Setting', '71', 51, 5);
insert into [main].[menuitem] values(53, '50M mode time', 'MenuItem_Setting', '72', 52, 5);
insert into [main].[menuitem] values(54, 'Special mode time', 'MenuItem_Setting', '73', 53, 5);
insert into [main].[menuitem] values(55, '5M mode time', 'MenuItem_Setting', '74', 54, 5);
insert into [main].[menuitem] values(56, '1M mode time', 'MenuItem_Setting', '75', 55, 5);
insert into [main].[menuitem] values(57, 'JP incr. per mode', 'MenuItem_Setting', '10', 56, 4);
insert into [main].[menuitem] values(58, 'Values doubled time', 'MenuItem_Setting', '9', 57, 4);
insert into [main].[menuitem] values(59, 'Head position', 'MenuItem_Setting', '7', 58, 2);
insert into [main].[menuitem] values(60, 'Coil Strengths', '', '', 59, 2);
insert into [main].[menuitem] values(61, 'Ball Release', 'MenuItem_Setting', '53', 60, 3);
insert into [main].[menuitem] values(62, 'Lock Post', 'MenuItem_Setting', '25', 61, 3);
insert into [main].[menuitem] values(63, 'Outhole', 'MenuItem_Setting', '54', 62, 3);
insert into [main].[menuitem] values(64, 'Scoop', 'MenuItem_Setting', '55', 63, 3);
insert into [main].[menuitem] values(65, 'Skillshot Kicker', 'MenuItem_Setting', '56', 64, 3);
insert into [main].[menuitem] values(66, 'Head Mouth', 'MenuItem_Setting', '57', 65, 3);
insert into [main].[menuitem] values(67, 'Head Left Eye', 'MenuItem_Setting', '58', 66, 3);
insert into [main].[menuitem] values(68, 'Head Right Eye', 'MenuItem_Setting', '59', 67, 3);
insert into [main].[menuitem] values(69, 'Jet Left', 'MenuItem_Setting', '60', 68, 3);
insert into [main].[menuitem] values(70, 'Jet Right', 'MenuItem_Setting', '61', 69, 3);
insert into [main].[menuitem] values(71, 'Jet Bottom', 'MenuItem_Setting', '62', 70, 3);
insert into [main].[menuitem] values(72, 'Jets Slingshot', 'MenuItem_Setting', '63', 71, 3);
insert into [main].[menuitem] values(73, 'Slingshot Left', 'MenuItem_Setting', '64', 72, 3);
insert into [main].[menuitem] values(74, 'Slingshot Right', 'MenuItem_Setting', '65', 73, 3);
insert into [main].[menuitem] values(75, 'Knocker', 'MenuItem_Setting', '66', 74, 3);
insert into [main].[menuitem] values(76, 'Sound', '', '', 75, 2);
insert into [main].[menuitem] values(77, 'Master volume', 'MenuItem_Volume', '5', 76, 3);
insert into [main].[menuitem] values(78, 'Music volume', 'MenuItem_Volume', '67', 77, 3);
insert into [main].[menuitem] values(79, 'SFX volume', 'MenuItem_Volume', '68', 78, 3);
insert into [main].[menuitem] values(80, 'Voice volume', 'MenuItem_Volume', '69', 79, 3);
insert into [main].[menuitem] values(81, 'Display', '', '', 80, 2);
insert into [main].[menuitem] values(82, 'Dots shape', 'MenuItem_Setting', '29', 81, 3);
insert into [main].[menuitem] values(83, 'Scale', 'MenuItem_Setting', '33', 82, 3);
insert into [main].[menuitem] values(84, 'Vertical position', 'MenuItem_Setting', '35', 83, 3);
insert into [main].[menuitem] values(85, 'Horizontal position', 'MenuItem_Setting', '36', 84, 3);
insert into [main].[menuitem] values(86, 'Dots color', '', '', 85, 3);
insert into [main].[menuitem] values(87, 'Preset', 'MenuItem_Setting', '28', 86, 4);
insert into [main].[menuitem] values(88, 'Custom Red', 'MenuItem_Setting', '30', 87, 4);
insert into [main].[menuitem] values(89, 'Custom Green', 'MenuItem_Setting', '31', 88, 4);
insert into [main].[menuitem] values(90, 'Custom Blue', 'MenuItem_Setting', '32', 89, 4);
insert into [main].[menuitem] values(91, 'Background color', '', '', 90, 3);
insert into [main].[menuitem] values(92, 'Preset', 'MenuItem_Setting', '37', 91, 4);
insert into [main].[menuitem] values(93, 'Custom Red', 'MenuItem_Setting', '38', 92, 4);
insert into [main].[menuitem] values(94, 'Custom Green', 'MenuItem_Setting', '39', 93, 4);
insert into [main].[menuitem] values(95, 'Custom Blue', 'MenuItem_Setting', '40', 94, 4);
insert into [main].[menuitem] values(96, 'Window border', 'MenuItem_Setting', '34', 95, 3);
insert into [main].[menuitem] values(97, 'Live', '', '', 96, 2);
insert into [main].[menuitem] values(98, 'Live enabled', 'MenuItem_Setting', '23', 97, 3);
insert into [main].[menuitem] values(99, 'DMD update interval', 'MenuItem_Setting', '52', 98, 3);
insert into [main].[menuitem] values(100, 'Localization', '', '', 99, 2);
insert into [main].[menuitem] values(101, 'Euro score format', 'MenuItem_Setting', '19', 100, 3);
insert into [main].[menuitem] values(102, 'Peripherals', '', '', 101, 2);
insert into [main].[menuitem] values(103, 'Betabrite', '', '', 102, 3);
insert into [main].[menuitem] values(104, 'BetaBrite', 'MenuItem_Setting', '17', 103, 4);
insert into [main].[menuitem] values(105, 'BetaBrite COM Port', 'MenuItem_Setting', '18', 104, 4);
insert into [main].[menuitem] values(106, 'Flipper Switch Mod', 'MenuItem_Setting', '51', 105, 3);
insert into [main].[menuitem] values(107, 'Player Profiles', 'MenuItem_PlayerProfiles', '', 106, 1);
insert into [main].[menuitem] values(108, 'Software Menu', '', '', 107, 1);
insert into [main].[menuitem] values(109, 'Current version', 'MenuItem_Setting', '0', 108, 2);
insert into [main].[menuitem] values(110, 'Exit current game', 'MenuItem_ExitGame', '', 109, 3);
insert into [main].[menuitem] values(111, 'Exit to launcher', 'MenuItem_ExitToLauncher', '', 110, 3);
insert into [main].[menuitem] values(112, 'Restart', 'MenuItem_RestartSoftware', '', 111, 3);
insert into [main].[menuitem] values(113, 'Version select', 'MenuItem_VersionSelect', '', 112, 2);
insert into [main].[menuitem] values(114, 'USB update', 'MenuItem_USBUpdate', '', 113, 2);
insert into [main].[menuitem] values(115, 'Internet update', 'MenuItem_InternetUpdate', '', 114, 2);
insert into [main].[menuitem] values(116, 'Pinmame ROM', 'MenuItem_Setting', '48', 115, 2);


/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
